- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# nicBuffer Struct Reference

`#include <ne2k.h>`

Collaboration diagram for nicBuffer:

[legend]

## Data Fields
char * | buffer
int | length
nicBuffer * | next

## Detailed Description

Definition at line 51 of file ne2k.h.

## Field Documentation

char* nicBuffer::buffer

Definition at line 54 of file ne2k.h.

Referenced by dp_pkt2user(), ne2kAllocBuffer(), and ne2kFreeBuffer().

int nicBuffer::length

Definition at line 53 of file ne2k.h.

Referenced by ne2kAllocBuffer().

struct nicBuffer* nicBuffer::next

Definition at line 52 of file ne2k.h.

Referenced by ne2kAllocBuffer(), and ne2kGetBuffer().

The documentation for this struct was generated from the following file:

- src/sys/include/isa/ne2k.h